Subject: Definition of LIB and LFIB

From: "Hallstein Lohne" <[email-masked]>
Date: Thu, 18 Apr 2002 14:10:27 +0200

Hi,
 
I have found out that Label Forwarding Information Base (LFIB) is a
subset of Label Information Base (LIB). I have not been able to find out
exactly what information these two information bases contain.
 
So far I found out LFIB contains:
    -          Incoming Label
    -          Outgoing Label
    -          Next Hop
    -          Outgoing Interface
 
1. Is this correct and are there any other fields?
 
I have not found any content specification for LIB.  RFC 3036, LDP
Specification, explain that this information base contains, among other
things, address prefix.
2. What is address prefix?
 
I assume this address is from the Forwarding Equivalence Class (FEC).
3. Is this prefix also in the LFIB?
4. What other parameters are in the LIB in addition to Incoming label,
outgoing label and Interface?
 
These should be explained in detail in RFC's but I've not found any
information at IETF on this subject at all.

Any answers will be appreciated. The questions have been enumerated.
 
Best regards,
 
Johannes Vea
Hallstein Lohne
Agder University College, Norway